import { world, system } from '@minecraft/server';

system.beforeEvents.startup.subscribe((data) => {
    data.blockComponentRegistry.registerCustomComponent('thini:light', {

        onTick: ((e) => { //Eu estou usando a laterna do minecraft pra fazer uma luz dinâmica.
            const { block } = e;
            const { x, y, z } = block.location;

            block.dimension.runCommand(`execute positioned ${x} ${y -1} ${z} unless entity @p[r=1,hasitem={item=well:lamparina,location=slot.weapon.mainhand}] run setblock ${x} ${y} ${z} air`);
        })

    });
});

system.beforeEvents.startup.subscribe((data) => {
    data.blockComponentRegistry.registerCustomComponent('well:gerador_cemiterio', {

        onTick: ((e) => { //Eu estou usando a laterna do minecraft pra fazer uma luz dinâmica.
            const { block } = e;
            const { x, y, z } = block.location;

            block.dimension.runCommand(`summon well:gerador_cemiterio_estrutura ${x} ${y +2} ${z}`);
			//block.dimension.runCommand(`setblock ${x} ${y} ${z} air`);
        })

    });
	
});